#!/usr/bin/python
CONSUMERKEY='COPIE A SUA CADASTRANDO SUA APP EM SEU PERFIL APONTADOR E COLE'
CONSUMERSECRET='IDEM AO ANTERIOR'

from apontador import ApontadorAPI
from pymongo import Connection
import json
import kml 

#gets a connection
connection=Connection()
#then a particular database
db=connection.freesodb
#and finally, the users collection
users = db.users

encontro=users.find({ 'tags' : 'debian'})
total=encontro.count()
x=0
y=0
marcadores=[]

for user in encontro:
    x=x+user['latlong'][0]
    y=y+user['latlong'][1]
    marcadores.append([ 
            user['username'],
            user['latlong'][0],
            user['latlong'][1]
            ])
x=x/total
y=y/total
marcadores.append([ 
        'ponto medio',
        x,y
        ])

print("ponto medio: %s,%s" % (x,y))


api = ApontadorAPI(consumer_key=CONSUMERKEY,consumer_secret=CONSUMERSECRET)

# category_id 45 = "bares e casas noturnas", veja api.get_categories

response = api.search_places_by_point(latitude=x,
                                      longitude=y, 
                                      type="json", 
                                      category_id=45
                                      )
places=json.loads(response)

quantos=int(places['search']['result_count'])
print 'resultados: %s' % quantos
if (quantos):
    print '\t %s\n\t\t%s\n\t\t%s' % (
        places['search']['places'][0]['place']['name'],
        places['search']['places'][0]['place']['main_url'],
        places['search']['places'][0]['place']['other_url']
        )
    print '\t%s,%s' % (
        places['search']['places'][0]['place']['address']['street'],
        places['search']['places'][0]['place']['address']['number']
        )
    print '\t%s,%s' % (
        places['search']['places'][0]['place']['address']['city']['name'],
        places['search']['places'][0]['place']['address']['city']['state']
        )
    print '\tlatlong:%s,%s' % (
        places['search']['places'][0]['place']['point']['lat'],
        places['search']['places'][0]['place']['point']['lng']
        )
    marcadores.append([ 
            places['search']['places'][0]['place']['name'],
            places['search']['places'][0]['place']['point']['lat'],
            places['search']['places'][0]['place']['point']['lng'],
            ])

file = open("output.kml",'w')
file.write(kml.createKML(marcadores))
file.close()
